summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorKrzysztof Klinikowski <kkszysiu@gmail.com>2010-01-03 20:48:11 +0100
committerKrzysztof Klinikowski <kkszysiu@gmail.com>2010-01-05 18:57:58 +0100
commit9e00e899f638622df5972eb5e354802b2f41db95 (patch)
tree730353b0e889bf9b5ce3e396b746f42781950f4a /autogen.sh
parent656ec7ad4f24e90aab326e6b99082d11d53665a1 (diff)
Autotools support implemented (thanks to Marcin 'megabajt' Banasiak for patch)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..c238256
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+autoreconf -i -Wno-portability
+
+run_configure=true
+for arg in $*; do
+ case $arg in
+ --no-configure)
+ run_configure=false
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if test $run_configure = true; then
+ ./configure "$@"
+fi